/* 
Made by Arthur Lorencini Bergamaschi
@mrtuckie

This code is entirely based on a previous tutorial from particle. Here's the link:
https://docs.particle.io/tutorials/hardware-projects/maker-kit/#tutorial-2-next-bus-alert
*/


// This #include statement was automatically added by the Particle IDE.
#include <Adafruit_SSD1306.h>

/*****************************************************************************
Connections for the oled display:

VCC -> 3.3V
GND -> GND
D0  -> A3
D1  -> A5
RES -> D5
DC  -> D3
CS  -> D4
******************************************************************************/

// Defining the pins

// use hardware SPI
#define OLED_DC     D3
#define OLED_CS     D4
#define OLED_RESET  D5

// creating a variable called "display". The variable type is "Adafruit_SSD1306". The rest are the parameters
Adafruit_SSD1306 display(OLED_DC, OLED_RESET, OLED_CS);
// variables for scrolling code
int  x, minX;

void setup()   {

  display.begin(SSD1306_SWITCHCAPVCC); // turning the display on
  display.setTextSize(4);       // text size
  display.setTextColor(WHITE); // text color
  display.setTextWrap(false); // turn off text wrapping so we can do scrolling
  x    = display.width(); // set scrolling frame to display width
  minX = -1500;
}

void loop() {
    
  display.clearDisplay();
  display.setCursor(x/2, 7);
  display.print("phrase"); // you can change the phrase later to whatever you like.
  display.display();
  if(--x < minX) x = display.width()*2;
}